com.jnape.palatable.lambda.functions.builtin.fn2

## Class Into1<A,B>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Into1<A,B>

- Type Parameters:
    `A` - the first argument type
    `B` - the result type
  All Implemented Interfaces:
    Fn1<Fn1<? super A,? extends B>,Fn1<SingletonHList<A>,B>>, Fn2<Fn1<? super A,? extends B>,SingletonHList<A>,B>, Applicative<Fn1<SingletonHList<A>,B>,Fn1<Fn1<? super A,? extends B>,?>>, Cartesian<Fn1<? super A,? extends B>,Fn1<SingletonHList<A>,B>,Fn1<?,?>>, Cocartesian<Fn1<? super A,? extends B>,Fn1<SingletonHList<A>,B>,Fn1<?,?>>, Contravariant<Fn1<? super A,? extends B>,Profunctor<?,Fn1<SingletonHList<A>,B>,Fn1<?,?>>>, Functor<Fn1<SingletonHList<A>,B>,Fn1<Fn1<? super A,? extends B>,?>>, Profunctor<Fn1<? super A,? extends B>,Fn1<SingletonHList<A>,B>,Fn1<?,?>>, Monad<Fn1<SingletonHList<A>,B>,Fn1<Fn1<? super A,? extends B>,?>>, MonadReader<Fn1<? super A,? extends B>,Fn1<SingletonHList<A>,B>,Fn1<Fn1<? super A,? extends B>,?>>, MonadRec<Fn1<SingletonHList<A>,B>,Fn1<Fn1<? super A,? extends B>,?>>, MonadWriter<Fn1<? super A,? extends B>,Fn1<SingletonHList<A>,B>,Fn1<Fn1<? super A,? extends B>,?>>

      public final class Into1<A,B>
      extends Object
      implements Fn2<Fn1<? super A,? extends B>,SingletonHList<A>,B>

  Given an ``Fn1`<A, B>` and a ``SingletonHList`<A>`, pop the head and apply it to the function, returning the result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Into1()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `checkedApply(Fn1<? super A,? extends B> fn, SingletonHList<A> singletonHList)`
    `static <A,B> Into1<A,B>` | `into1()`
    `static <A,B> Fn1<SingletonHList<A>,B>` | `into1(Fn1<? super A,? extends B> fn)`
    `static <A,B> B` | `into1(Fn1<? super A,? extends B> fn, SingletonHList<A> singletonHList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Constructor Detail

    - #### Into1

          public Into1()

  - ### Method Detail

    - #### checkedApply

          public B checkedApply(Fn1<? super A,? extends B> fn,
                                SingletonHList<A> singletonHList)

      Specified by:
        `checkedApply` in interface `Fn2<Fn1<? super A,? extends B>,SingletonHList<A>,B>`

    - #### into1

          public static <A,B> Into1<A,B> into1()

    - #### into1

          public static <A,B> Fn1<SingletonHList<A>,B> into1(Fn1<? super A,? extends B> fn)

    - #### into1

          public static <A,B> B into1(Fn1<? super A,? extends B> fn,
                                      SingletonHList<A> singletonHList)